## NAME

r.his - Generates red, green and blue (RGB) raster map layers combining hue, intensity and saturation (HIS) values from user-specified input raster map layers.

## KEYWORDS

raster, color transformation, RGB, HIS, IHS

## SYNOPSIS

r.his
r.his --help
r.his [-c] hue=string [intensity=string] [saturation=string] red=string green=string blue=string [bgcolor=name] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-c
  Use colors from color tables for NULL values
--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

hue=string [required]
  Name of layer to be used for hue
intensity=string
  Name of layer to be used for intensity
saturation=string
  Name of layer to be used for saturation
red=string [required]
  Name of output layer to be used for red
green=string [required]
  Name of output layer to be used for green
blue=string [required]
  Name of output layer to be used for blue
bgcolor=name
  Color to use instead of NULL values
  Either a standard color name, R:G:B triplet, or "none"

## DESCRIPTION

HIS stands for hue, intensity, and saturation. This program produces red, green and blue raster map layers providing a visually pleasing combination of hue, intensity, and saturation values from two or three user-specified raster map layers.

The human brain automatically interprets the vast amount of visual information available according to basic rules. Color, or hue, is used to categorize objects. Shading, or intensity, is interpreted as three-dimensional texturing. Finally, the degree of haziness, or saturation, is associated with distance or depth. This program allows data from up to three raster map layers to be combined into a color image (in the form of separate red, green and blue raster map layers) which retains the original information in terms of hue, intensity, and saturation.

While any raster map layer can be used to represent the hue information, map layers with a few very distinct colors work best. Only raster map layers representing continuously varying data like elevation, aspect, weights, intensities, or amounts can suitably be used to provide intensity and saturation information.

For example, a visually pleasing image can be made by using a watershed map for the hue factor, an aspect map for the intensity factor, and an elevation map for saturation. (The user may wish to leave out the elevation information for a first try.) Ideally, the resulting image should resemble the view from an aircraft looking at a terrain on a sunny day with a bit of haze in the valleys.

### The Process

Each map cell is processed individually. First, the working color is set to the color of the corresponding cell in the map layer chosen to represent hue. Second, this color is multiplied by the red intensity of that cell in the intensity map layer. This map layer should have an appropriate gray-scale color table associated with it. You can ensure this by using the color manipulation capabilities of r.colors. Finally, the color is made somewhat gray-based on the red intensity of that cell in the saturation map layer. Again, this map layer should have a gray-scale color table associated with it.

## NOTES

The name is misleading. The actual conversion used is

      H.i.s + G.(1-s)

    where

      H   is the R,G,B color from the hue map
      i   is the red value from the intensity map
      s   is the red value from the saturation map
      G   is 50% gray (R = G = B = 0.5)

Either (but not both) of the intensity or the saturation map layers may be omitted. This means that it is possible to produce output images that represent combinations of his, hi, or hs. The separate red, green and blue maps can be displayed on the graphics monitor using d.rgb, or combined into a composite RGB layer using r.composite. Users wishing to simply display an his composite image without actually generating any layers should use the program d.his.

## EXAMPLES

Recreate the following example for d.his using r.his. First, create shaded relief and show it.

    g.region raster=elevation
    r.relief input=elevation output=elevation_shaded_relief

    d.mon wx0
    d.his hue=elevation intensity=elevation_shaded_relief brighten=50

Second, compute lighter version of color of shaded relief. Then convert from HIS model to RGB and show the result.

    r.mapcalc "elevation_shaded_relief_bright_50 = #elevation_shaded_relief * 1.5"
    r.colors elevation_shaded_relief_bright_50 color=grey255
    r.his hue=elevation intensity=elevation_shaded_relief_bright_50 \
          red=shadedmap_r green=shadedmap_g blue=shadedmap_b

    d.mon wx1
    d.rgb red=shadedmap_r green=shadedmap_g blue=shadedmap_b

## SEE ALSO

d.his, d.colortable, d.rgb, r.blend, r.colors, r.composite, r.mapcalc, r.shade, i.his.rgb, i.rgb.his

## AUTHOR

Glynn Clements (based upon d.his)

## SOURCE CODE

Available at: r.his source code (history)

Accessed: Saturday Mar 23 00:56:52 2024

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2023 GRASS Development Team, GRASS GIS 8.4.0dev Reference Manual